Skip to main content
GET
/
v1
/
models
List Models
curl --request GET \
  --url https://modelswitch.io/v1/models
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "owned_by": "<string>",
      "pricing": {
        "prompt": "<string>",
        "completion": "<string>"
      },
      "pricing_rub": {
        "prompt_per_100k": "<string>",
        "completion_per_100k": "<string>",
        "currency": "<string>"
      }
    }
  ]
}
Returns all models available for inference, including their IDs, providers, and current per-token pricing. Authentication: None required. This is a public endpoint.

Example

curl https://modelswitch.io/v1/models

Response

{
  "object": "list",
  "data": [
    {
      "id": "gpt-4o",
      "object": "model",
      "owned_by": "openai",
      "pricing": {
        "prompt": "0.0000025",
        "completion": "0.00001"
      },
      "pricing_rub": {
        "prompt_per_100k": "0.225000",
        "completion_per_100k": "0.900000",
        "currency": "RUB"
      }
    },
    {
      "id": "claude-sonnet-4",
      "object": "model",
      "owned_by": "anthropic",
      "pricing": {
        "prompt": "0.000003",
        "completion": "0.000015"
      },
      "pricing_rub": {
        "prompt_per_100k": "0.270000",
        "completion_per_100k": "1.350000",
        "currency": "RUB"
      }
    }
  ]
}
object
string
Always "list".
data
array
Array of model objects.
Pricing values reflect the current rate including markup and are updated in real time. pricing values are in USD per token — multiply by 1,000,000 to get the per-1M-token rate commonly cited in provider documentation.